Loading...
Searching...
No Matches
repeat_iterator Struct Reference

## Data Fields

const char * | var_name
union { |
struct { |
long long current |
long long last |
long long step |
int iteration |
char value_buf [32] |
} integer
struct { |
snd_config_iterator_t pos |
snd_config_iterator_t end |
snd_config_t * array |
char * value_str |
} array
} | u
int(* | init )(struct repeat_iterator *it, snd_config_t *pattern)
int(* | next )(struct repeat_iterator *it, const char **value)
void(* | done )(struct repeat_iterator *it)

The documentation for this struct was generated from the following file:

- /build/alsa-lib-2Eh4UL/alsa-lib-1.2.16.1/src/ucm/ucm_repeat.c